oracle.pgx.config

## Enum GraphLoadingConfig.Field

- java.lang.Object
- - java.lang.Enum<GraphLoadingConfig.Field>
  - - oracle.pgx.config.GraphLoadingConfig.Field

- All Implemented Interfaces:
    Serializable, Comparable<GraphLoadingConfig.Field>, ConfigField
  Enclosing class:
    GraphLoadingConfig

      public static enum GraphLoadingConfig.Field
      extends Enum<GraphLoadingConfig.Field>
      implements ConfigField

  Fields of PGX Engine Graph Loading Config

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_EDGE_ID_INDEX` if `true`, an index is prepared during loading which enables retrieval of edge paths
    `CREATE_EDGE_ID_MAPPING` if `true`, a mapping is prepared during loading which enables edge key arguments and filters containing edge keys
    `CREATE_VERTEX_ID_INDEX` if `true`, an index is prepared during loading which enables retrieval of vertex paths
    `CREATE_VERTEX_ID_MAPPING` if `true`, a mapping is prepared during loading which enables vertex arguments and vertex filters
    `FILTER_EXPR` if not `null`, load subgraph specified by this expression
    `REFRESH_INTERVAL_MS` if non-negative, the graph gets refreshed periodically after specified milliseconds have passed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.
    `String` | `toString()`
    `static GraphLoadingConfig.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphLoadingConfig.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_EDGE_ID_INDEX

          public static final GraphLoadingConfig.Field CREATE_EDGE_ID_INDEX

      if `true`, an index is prepared during loading which enables retrieval of edge paths

    - #### CREATE_EDGE_ID_MAPPING

          public static final GraphLoadingConfig.Field CREATE_EDGE_ID_MAPPING

      if `true`, a mapping is prepared during loading which enables edge key arguments and filters containing edge keys

    - #### CREATE_VERTEX_ID_INDEX

          public static final GraphLoadingConfig.Field CREATE_VERTEX_ID_INDEX

      if `true`, an index is prepared during loading which enables retrieval of vertex paths

    - #### CREATE_VERTEX_ID_MAPPING

          public static final GraphLoadingConfig.Field CREATE_VERTEX_ID_MAPPING

      if `true`, a mapping is prepared during loading which enables vertex arguments and vertex filters

    - #### FILTER_EXPR

          public static final GraphLoadingConfig.Field FILTER_EXPR

      if not `null`, load subgraph specified by this expression

    - #### REFRESH_INTERVAL_MS

          public static final GraphLoadingConfig.Field REFRESH_INTERVAL_MS

      if non-negative, the graph gets refreshed periodically after specified milliseconds have passed. Note: only fixed (pre-loaded) graphs can be auto-refreshed.

  - ### Method Detail

    - #### getDefaultVal

          public Object getDefaultVal()

      Description copied from interface: `ConfigField`
      Gets the default value of this field.
      Specified by:
        `getDefaultVal` in interface `ConfigField`
      Returns:
        the default value

    - #### getKeyAliases

          public List<String> getKeyAliases()

      Description copied from interface: `ConfigField`
      Gets the key aliases of this field which are also recognized during parsing.
      Specified by:
        `getKeyAliases` in interface `ConfigField`
      Returns:
        the key aliases

    - #### getType

          public Class<?> getType()

      Description copied from interface: `ConfigField`
      Gets the type of this field.
      Specified by:
        `getType` in interface `ConfigField`
      Returns:
        the type

    - #### isArray

          public boolean isArray()

      Description copied from interface: `ConfigField`
      Checks if this field is an array.
      Specified by:
        `isArray` in interface `ConfigField`
      Returns:
        true, if array

    - #### isEnum

          public boolean isEnum()

      Description copied from interface: `ConfigField`
      Checks if this field is of enum type.
      Specified by:
        `isEnum` in interface `ConfigField`
      Returns:
        true, if enum

    - #### isPath

          public boolean isPath()

      Description copied from interface: `ConfigField`
      Checks if this field is a path.
      Specified by:
        `isPath` in interface `ConfigField`
      Returns:
        true, if path

    - #### isPrimitive

          public boolean isPrimitive()

      Description copied from interface: `ConfigField`
      Checks if this field is of primitive type.
      Specified by:
        `isPrimitive` in interface `ConfigField`
      Returns:
        true, if primitive

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ConfigField`
      Checks if this field is required.
      Specified by:
        `isRequired` in interface `ConfigField`
      Returns:
        true, if required

    - #### toKey

          public String toKey()

      Description copied from interface: `ConfigField`
      Get the key of this field, which is how this field is represented in serialized form.
      Specified by:
        `toKey` in interface `ConfigField`
      Returns:
        the key.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<GraphLoadingConfig.Field>`

    - #### valueOf

          public static GraphLoadingConfig.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static GraphLoadingConfig.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphLoadingConfig.Field c : GraphLoadingConfig.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.